Bug 1022280 - (CVE-2013-4458) CVE-2013-4458 glibc: Stack (frame) overflow in getaddrinfo() when called with AF_INET6
CVE-2013-4458 glibc: Stack (frame) overflow in getaddrinfo() when called with...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20131022,reported=2...
: Security
Depends On: 1025612 1111460
Blocks: 1022282 1101912
  Show dependency treegraph
 
Reported: 2013-10-22 18:41 EDT by Vincent Danen
Modified: 2016-02-04 01:48 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that getaddrinfo() did not limit the amount of stack memory used during name resolution. An attacker able to make an application resolve an attacker-controlled hostname or IP address could possibly cause the application to exhaust all stack memory and crash.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-14 05:44:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-10-22 18:41:17 EDT
A stack (frame) overflow flaw, which led to a denial of service (application crash), was found in the way glibc's getaddrinfo() function processed certain requests when called with AF_INET6.  A similar flaw to CVE-2013-1914, this affects AF_INET6 rather than AF_UNSPEC.

A proposed patch has been submitted for review [1].  No CVE has been assigned yet.

[1] https://sourceware.org/ml/libc-alpha/2013-10/msg00733.html
Comment 1 Vincent Danen 2013-10-23 00:13:05 EDT
Upstream bug report:

https://sourceware.org/bugzilla/show_bug.cgi?id=16072
Comment 2 Siddhesh Poyarekar 2013-10-28 07:22:09 EDT
Fix pulled into Fedora rawhide (2.18.90-13).
Comment 3 Huzaifa S. Sidhpurwala 2013-11-01 00:57:26 EDT
Statement:

This issue affects the versions of glibc as shipped with Red Hat Enterprise Linux 5. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle, https://access.redhat.com/support/policy/updates/errata
Comment 9 Martin Prpic 2014-10-10 04:43:55 EDT
IssueDescription:

It was found that getaddrinfo() did not limit the amount of stack memory used during name resolution. An attacker able to make an application resolve an attacker-controlled hostname or IP address could possibly cause the application to exhaust all stack memory and crash.
Comment 10 errata-xmlrpc 2014-10-14 00:42:03 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1391 https://rhn.redhat.com/errata/RHSA-2014-1391.html

Note You need to log in before you can comment on or make changes to this bug.